Other
Furnish KYC certificate data via structured JSON
POST
/
v1
/
products
/
kyc_certificate_snapshot
/
furnish
Furnish KYC certificate data via structured JSON
curl --request POST \
--url https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_date": "<string>",
"records": [
{
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "<string>",
"social_security_number": "<string>",
"document_capture_events": [
{
"is_document_captured": true,
"document_capture_timestamp": "<string>",
"is_document_attribute_reviewed": true,
"document_attribute_review_timestamp": "<string>",
"document_type": "<string>",
"document_capture_method": "<string>",
"document_review_method": "<string>",
"document_review_evidence_source": "<string>"
}
],
"biometric_capture_events": [
{
"is_biometric_captured": true,
"biometric_capture_timestamp": "<string>",
"biometric_artifact_type": "<string>",
"biometric_artifact_upload": "<string>",
"biometric_capture_method": "<string>",
"is_biometric_attribute_reviewed": true,
"biometric_attribute_review_timestamp": "<string>",
"is_biometric_comparison_performed": true,
"biometric_comparison_reference": "<string>",
"biometric_comparison_outcome": "<string>"
}
],
"liveness_check_events": [
{
"is_liveness_captured": true,
"capture_timestamp": "<string>",
"capture_method_type": "<string>",
"liveness_capture_environment": "<string>",
"check_result": "<string>",
"is_liveness_evidence_reviewed": true,
"evidence_review_timestamp": "<string>"
}
],
"identity_document_identities": [
{
"type": "<string>",
"number": "<string>",
"issue_date": "<string>",
"expiration_date": "<string>",
"issuing_authority": "<string>",
"issuing_state": "<string>",
"issuing_country": "<string>",
"upload": "<string>",
"are_security_features_verified": true,
"is_document_tamper_review_performed": true,
"document_tamper_review_outcome": "<string>",
"is_machine_readable_data_validation_performed": true,
"is_machine_readable_data_consistent_with_document_face": true
}
],
"identity_corroboration_events": [
{
"identity_corroboration_timestamp": "<string>",
"identity_corroboration_methods": [
"<string>"
],
"identity_corroboration_outcome": "<string>",
"total_identity_corroboration_sources_consulted": 123,
"is_kyc_cip": true,
"kyc_decision": "<string>",
"is_ssn_match": true,
"is_dob_match": true,
"is_name_match": true,
"ssn_verified": true,
"name_verified": true
}
],
"address_identities": [
{
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"type": "<string>",
"address_capture_events": [
{
"is_address_captured": true,
"address_capture_timestamp": "<string>",
"is_address_verified": true,
"address_verification_timestamp": "<string>",
"address_verification_outcome": "<string>",
"address_verification_method_type": "<string>",
"deliverable": true
}
]
}
]
}
]
}
'import requests
url = "https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish"
payload = {
"network_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_date": "<string>",
"records": [
{
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "<string>",
"social_security_number": "<string>",
"document_capture_events": [
{
"is_document_captured": True,
"document_capture_timestamp": "<string>",
"is_document_attribute_reviewed": True,
"document_attribute_review_timestamp": "<string>",
"document_type": "<string>",
"document_capture_method": "<string>",
"document_review_method": "<string>",
"document_review_evidence_source": "<string>"
}
],
"biometric_capture_events": [
{
"is_biometric_captured": True,
"biometric_capture_timestamp": "<string>",
"biometric_artifact_type": "<string>",
"biometric_artifact_upload": "<string>",
"biometric_capture_method": "<string>",
"is_biometric_attribute_reviewed": True,
"biometric_attribute_review_timestamp": "<string>",
"is_biometric_comparison_performed": True,
"biometric_comparison_reference": "<string>",
"biometric_comparison_outcome": "<string>"
}
],
"liveness_check_events": [
{
"is_liveness_captured": True,
"capture_timestamp": "<string>",
"capture_method_type": "<string>",
"liveness_capture_environment": "<string>",
"check_result": "<string>",
"is_liveness_evidence_reviewed": True,
"evidence_review_timestamp": "<string>"
}
],
"identity_document_identities": [
{
"type": "<string>",
"number": "<string>",
"issue_date": "<string>",
"expiration_date": "<string>",
"issuing_authority": "<string>",
"issuing_state": "<string>",
"issuing_country": "<string>",
"upload": "<string>",
"are_security_features_verified": True,
"is_document_tamper_review_performed": True,
"document_tamper_review_outcome": "<string>",
"is_machine_readable_data_validation_performed": True,
"is_machine_readable_data_consistent_with_document_face": True
}
],
"identity_corroboration_events": [
{
"identity_corroboration_timestamp": "<string>",
"identity_corroboration_methods": ["<string>"],
"identity_corroboration_outcome": "<string>",
"total_identity_corroboration_sources_consulted": 123,
"is_kyc_cip": True,
"kyc_decision": "<string>",
"is_ssn_match": True,
"is_dob_match": True,
"is_name_match": True,
"ssn_verified": True,
"name_verified": True
}
],
"address_identities": [
{
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"type": "<string>",
"address_capture_events": [
{
"is_address_captured": True,
"address_capture_timestamp": "<string>",
"is_address_verified": True,
"address_verification_timestamp": "<string>",
"address_verification_outcome": "<string>",
"address_verification_method_type": "<string>",
"deliverable": True
}
]
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
application_date: '<string>',
records: [
{
first_name: '<string>',
last_name: '<string>',
date_of_birth: '<string>',
social_security_number: '<string>',
document_capture_events: [
{
is_document_captured: true,
document_capture_timestamp: '<string>',
is_document_attribute_reviewed: true,
document_attribute_review_timestamp: '<string>',
document_type: '<string>',
document_capture_method: '<string>',
document_review_method: '<string>',
document_review_evidence_source: '<string>'
}
],
biometric_capture_events: [
{
is_biometric_captured: true,
biometric_capture_timestamp: '<string>',
biometric_artifact_type: '<string>',
biometric_artifact_upload: '<string>',
biometric_capture_method: '<string>',
is_biometric_attribute_reviewed: true,
biometric_attribute_review_timestamp: '<string>',
is_biometric_comparison_performed: true,
biometric_comparison_reference: '<string>',
biometric_comparison_outcome: '<string>'
}
],
liveness_check_events: [
{
is_liveness_captured: true,
capture_timestamp: '<string>',
capture_method_type: '<string>',
liveness_capture_environment: '<string>',
check_result: '<string>',
is_liveness_evidence_reviewed: true,
evidence_review_timestamp: '<string>'
}
],
identity_document_identities: [
{
type: '<string>',
number: '<string>',
issue_date: '<string>',
expiration_date: '<string>',
issuing_authority: '<string>',
issuing_state: '<string>',
issuing_country: '<string>',
upload: '<string>',
are_security_features_verified: true,
is_document_tamper_review_performed: true,
document_tamper_review_outcome: '<string>',
is_machine_readable_data_validation_performed: true,
is_machine_readable_data_consistent_with_document_face: true
}
],
identity_corroboration_events: [
{
identity_corroboration_timestamp: '<string>',
identity_corroboration_methods: ['<string>'],
identity_corroboration_outcome: '<string>',
total_identity_corroboration_sources_consulted: 123,
is_kyc_cip: true,
kyc_decision: '<string>',
is_ssn_match: true,
is_dob_match: true,
is_name_match: true,
ssn_verified: true,
name_verified: true
}
],
address_identities: [
{
line_1: '<string>',
line_2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>',
type: '<string>',
address_capture_events: [
{
is_address_captured: true,
address_capture_timestamp: '<string>',
is_address_verified: true,
address_verification_timestamp: '<string>',
address_verification_outcome: '<string>',
address_verification_method_type: '<string>',
deliverable: true
}
]
}
]
}
]
})
};
fetch('https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'network_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'application_date' => '<string>',
'records' => [
[
'first_name' => '<string>',
'last_name' => '<string>',
'date_of_birth' => '<string>',
'social_security_number' => '<string>',
'document_capture_events' => [
[
'is_document_captured' => true,
'document_capture_timestamp' => '<string>',
'is_document_attribute_reviewed' => true,
'document_attribute_review_timestamp' => '<string>',
'document_type' => '<string>',
'document_capture_method' => '<string>',
'document_review_method' => '<string>',
'document_review_evidence_source' => '<string>'
]
],
'biometric_capture_events' => [
[
'is_biometric_captured' => true,
'biometric_capture_timestamp' => '<string>',
'biometric_artifact_type' => '<string>',
'biometric_artifact_upload' => '<string>',
'biometric_capture_method' => '<string>',
'is_biometric_attribute_reviewed' => true,
'biometric_attribute_review_timestamp' => '<string>',
'is_biometric_comparison_performed' => true,
'biometric_comparison_reference' => '<string>',
'biometric_comparison_outcome' => '<string>'
]
],
'liveness_check_events' => [
[
'is_liveness_captured' => true,
'capture_timestamp' => '<string>',
'capture_method_type' => '<string>',
'liveness_capture_environment' => '<string>',
'check_result' => '<string>',
'is_liveness_evidence_reviewed' => true,
'evidence_review_timestamp' => '<string>'
]
],
'identity_document_identities' => [
[
'type' => '<string>',
'number' => '<string>',
'issue_date' => '<string>',
'expiration_date' => '<string>',
'issuing_authority' => '<string>',
'issuing_state' => '<string>',
'issuing_country' => '<string>',
'upload' => '<string>',
'are_security_features_verified' => true,
'is_document_tamper_review_performed' => true,
'document_tamper_review_outcome' => '<string>',
'is_machine_readable_data_validation_performed' => true,
'is_machine_readable_data_consistent_with_document_face' => true
]
],
'identity_corroboration_events' => [
[
'identity_corroboration_timestamp' => '<string>',
'identity_corroboration_methods' => [
'<string>'
],
'identity_corroboration_outcome' => '<string>',
'total_identity_corroboration_sources_consulted' => 123,
'is_kyc_cip' => true,
'kyc_decision' => '<string>',
'is_ssn_match' => true,
'is_dob_match' => true,
'is_name_match' => true,
'ssn_verified' => true,
'name_verified' => true
]
],
'address_identities' => [
[
'line_1' => '<string>',
'line_2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zip' => '<string>',
'country' => '<string>',
'type' => '<string>',
'address_capture_events' => [
[
'is_address_captured' => true,
'address_capture_timestamp' => '<string>',
'is_address_verified' => true,
'address_verification_timestamp' => '<string>',
'address_verification_outcome' => '<string>',
'address_verification_method_type' => '<string>',
'deliverable' => true
]
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish"
payload := strings.NewReader("{\n \"network_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"application_date\": \"<string>\",\n \"records\": [\n {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"document_capture_events\": [\n {\n \"is_document_captured\": true,\n \"document_capture_timestamp\": \"<string>\",\n \"is_document_attribute_reviewed\": true,\n \"document_attribute_review_timestamp\": \"<string>\",\n \"document_type\": \"<string>\",\n \"document_capture_method\": \"<string>\",\n \"document_review_method\": \"<string>\",\n \"document_review_evidence_source\": \"<string>\"\n }\n ],\n \"biometric_capture_events\": [\n {\n \"is_biometric_captured\": true,\n \"biometric_capture_timestamp\": \"<string>\",\n \"biometric_artifact_type\": \"<string>\",\n \"biometric_artifact_upload\": \"<string>\",\n \"biometric_capture_method\": \"<string>\",\n \"is_biometric_attribute_reviewed\": true,\n \"biometric_attribute_review_timestamp\": \"<string>\",\n \"is_biometric_comparison_performed\": true,\n \"biometric_comparison_reference\": \"<string>\",\n \"biometric_comparison_outcome\": \"<string>\"\n }\n ],\n \"liveness_check_events\": [\n {\n \"is_liveness_captured\": true,\n \"capture_timestamp\": \"<string>\",\n \"capture_method_type\": \"<string>\",\n \"liveness_capture_environment\": \"<string>\",\n \"check_result\": \"<string>\",\n \"is_liveness_evidence_reviewed\": true,\n \"evidence_review_timestamp\": \"<string>\"\n }\n ],\n \"identity_document_identities\": [\n {\n \"type\": \"<string>\",\n \"number\": \"<string>\",\n \"issue_date\": \"<string>\",\n \"expiration_date\": \"<string>\",\n \"issuing_authority\": \"<string>\",\n \"issuing_state\": \"<string>\",\n \"issuing_country\": \"<string>\",\n \"upload\": \"<string>\",\n \"are_security_features_verified\": true,\n \"is_document_tamper_review_performed\": true,\n \"document_tamper_review_outcome\": \"<string>\",\n \"is_machine_readable_data_validation_performed\": true,\n \"is_machine_readable_data_consistent_with_document_face\": true\n }\n ],\n \"identity_corroboration_events\": [\n {\n \"identity_corroboration_timestamp\": \"<string>\",\n \"identity_corroboration_methods\": [\n \"<string>\"\n ],\n \"identity_corroboration_outcome\": \"<string>\",\n \"total_identity_corroboration_sources_consulted\": 123,\n \"is_kyc_cip\": true,\n \"kyc_decision\": \"<string>\",\n \"is_ssn_match\": true,\n \"is_dob_match\": true,\n \"is_name_match\": true,\n \"ssn_verified\": true,\n \"name_verified\": true\n }\n ],\n \"address_identities\": [\n {\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\",\n \"type\": \"<string>\",\n \"address_capture_events\": [\n {\n \"is_address_captured\": true,\n \"address_capture_timestamp\": \"<string>\",\n \"is_address_verified\": true,\n \"address_verification_timestamp\": \"<string>\",\n \"address_verification_outcome\": \"<string>\",\n \"address_verification_method_type\": \"<string>\",\n \"deliverable\": true\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"network_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"application_date\": \"<string>\",\n \"records\": [\n {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"document_capture_events\": [\n {\n \"is_document_captured\": true,\n \"document_capture_timestamp\": \"<string>\",\n \"is_document_attribute_reviewed\": true,\n \"document_attribute_review_timestamp\": \"<string>\",\n \"document_type\": \"<string>\",\n \"document_capture_method\": \"<string>\",\n \"document_review_method\": \"<string>\",\n \"document_review_evidence_source\": \"<string>\"\n }\n ],\n \"biometric_capture_events\": [\n {\n \"is_biometric_captured\": true,\n \"biometric_capture_timestamp\": \"<string>\",\n \"biometric_artifact_type\": \"<string>\",\n \"biometric_artifact_upload\": \"<string>\",\n \"biometric_capture_method\": \"<string>\",\n \"is_biometric_attribute_reviewed\": true,\n \"biometric_attribute_review_timestamp\": \"<string>\",\n \"is_biometric_comparison_performed\": true,\n \"biometric_comparison_reference\": \"<string>\",\n \"biometric_comparison_outcome\": \"<string>\"\n }\n ],\n \"liveness_check_events\": [\n {\n \"is_liveness_captured\": true,\n \"capture_timestamp\": \"<string>\",\n \"capture_method_type\": \"<string>\",\n \"liveness_capture_environment\": \"<string>\",\n \"check_result\": \"<string>\",\n \"is_liveness_evidence_reviewed\": true,\n \"evidence_review_timestamp\": \"<string>\"\n }\n ],\n \"identity_document_identities\": [\n {\n \"type\": \"<string>\",\n \"number\": \"<string>\",\n \"issue_date\": \"<string>\",\n \"expiration_date\": \"<string>\",\n \"issuing_authority\": \"<string>\",\n \"issuing_state\": \"<string>\",\n \"issuing_country\": \"<string>\",\n \"upload\": \"<string>\",\n \"are_security_features_verified\": true,\n \"is_document_tamper_review_performed\": true,\n \"document_tamper_review_outcome\": \"<string>\",\n \"is_machine_readable_data_validation_performed\": true,\n \"is_machine_readable_data_consistent_with_document_face\": true\n }\n ],\n \"identity_corroboration_events\": [\n {\n \"identity_corroboration_timestamp\": \"<string>\",\n \"identity_corroboration_methods\": [\n \"<string>\"\n ],\n \"identity_corroboration_outcome\": \"<string>\",\n \"total_identity_corroboration_sources_consulted\": 123,\n \"is_kyc_cip\": true,\n \"kyc_decision\": \"<string>\",\n \"is_ssn_match\": true,\n \"is_dob_match\": true,\n \"is_name_match\": true,\n \"ssn_verified\": true,\n \"name_verified\": true\n }\n ],\n \"address_identities\": [\n {\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\",\n \"type\": \"<string>\",\n \"address_capture_events\": [\n {\n \"is_address_captured\": true,\n \"address_capture_timestamp\": \"<string>\",\n \"is_address_verified\": true,\n \"address_verification_timestamp\": \"<string>\",\n \"address_verification_outcome\": \"<string>\",\n \"address_verification_method_type\": \"<string>\",\n \"deliverable\": true\n }\n ]\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"network_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"application_date\": \"<string>\",\n \"records\": [\n {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"document_capture_events\": [\n {\n \"is_document_captured\": true,\n \"document_capture_timestamp\": \"<string>\",\n \"is_document_attribute_reviewed\": true,\n \"document_attribute_review_timestamp\": \"<string>\",\n \"document_type\": \"<string>\",\n \"document_capture_method\": \"<string>\",\n \"document_review_method\": \"<string>\",\n \"document_review_evidence_source\": \"<string>\"\n }\n ],\n \"biometric_capture_events\": [\n {\n \"is_biometric_captured\": true,\n \"biometric_capture_timestamp\": \"<string>\",\n \"biometric_artifact_type\": \"<string>\",\n \"biometric_artifact_upload\": \"<string>\",\n \"biometric_capture_method\": \"<string>\",\n \"is_biometric_attribute_reviewed\": true,\n \"biometric_attribute_review_timestamp\": \"<string>\",\n \"is_biometric_comparison_performed\": true,\n \"biometric_comparison_reference\": \"<string>\",\n \"biometric_comparison_outcome\": \"<string>\"\n }\n ],\n \"liveness_check_events\": [\n {\n \"is_liveness_captured\": true,\n \"capture_timestamp\": \"<string>\",\n \"capture_method_type\": \"<string>\",\n \"liveness_capture_environment\": \"<string>\",\n \"check_result\": \"<string>\",\n \"is_liveness_evidence_reviewed\": true,\n \"evidence_review_timestamp\": \"<string>\"\n }\n ],\n \"identity_document_identities\": [\n {\n \"type\": \"<string>\",\n \"number\": \"<string>\",\n \"issue_date\": \"<string>\",\n \"expiration_date\": \"<string>\",\n \"issuing_authority\": \"<string>\",\n \"issuing_state\": \"<string>\",\n \"issuing_country\": \"<string>\",\n \"upload\": \"<string>\",\n \"are_security_features_verified\": true,\n \"is_document_tamper_review_performed\": true,\n \"document_tamper_review_outcome\": \"<string>\",\n \"is_machine_readable_data_validation_performed\": true,\n \"is_machine_readable_data_consistent_with_document_face\": true\n }\n ],\n \"identity_corroboration_events\": [\n {\n \"identity_corroboration_timestamp\": \"<string>\",\n \"identity_corroboration_methods\": [\n \"<string>\"\n ],\n \"identity_corroboration_outcome\": \"<string>\",\n \"total_identity_corroboration_sources_consulted\": 123,\n \"is_kyc_cip\": true,\n \"kyc_decision\": \"<string>\",\n \"is_ssn_match\": true,\n \"is_dob_match\": true,\n \"is_name_match\": true,\n \"ssn_verified\": true,\n \"name_verified\": true\n }\n ],\n \"address_identities\": [\n {\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\",\n \"type\": \"<string>\",\n \"address_capture_events\": [\n {\n \"is_address_captured\": true,\n \"address_capture_timestamp\": \"<string>\",\n \"is_address_verified\": true,\n \"address_verification_timestamp\": \"<string>\",\n \"address_verification_outcome\": \"<string>\",\n \"address_verification_method_type\": \"<string>\",\n \"deliverable\": true\n }\n ]\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"counts": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Furnish KYC certificate data via structured JSON
curl --request POST \
--url https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_date": "<string>",
"records": [
{
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "<string>",
"social_security_number": "<string>",
"document_capture_events": [
{
"is_document_captured": true,
"document_capture_timestamp": "<string>",
"is_document_attribute_reviewed": true,
"document_attribute_review_timestamp": "<string>",
"document_type": "<string>",
"document_capture_method": "<string>",
"document_review_method": "<string>",
"document_review_evidence_source": "<string>"
}
],
"biometric_capture_events": [
{
"is_biometric_captured": true,
"biometric_capture_timestamp": "<string>",
"biometric_artifact_type": "<string>",
"biometric_artifact_upload": "<string>",
"biometric_capture_method": "<string>",
"is_biometric_attribute_reviewed": true,
"biometric_attribute_review_timestamp": "<string>",
"is_biometric_comparison_performed": true,
"biometric_comparison_reference": "<string>",
"biometric_comparison_outcome": "<string>"
}
],
"liveness_check_events": [
{
"is_liveness_captured": true,
"capture_timestamp": "<string>",
"capture_method_type": "<string>",
"liveness_capture_environment": "<string>",
"check_result": "<string>",
"is_liveness_evidence_reviewed": true,
"evidence_review_timestamp": "<string>"
}
],
"identity_document_identities": [
{
"type": "<string>",
"number": "<string>",
"issue_date": "<string>",
"expiration_date": "<string>",
"issuing_authority": "<string>",
"issuing_state": "<string>",
"issuing_country": "<string>",
"upload": "<string>",
"are_security_features_verified": true,
"is_document_tamper_review_performed": true,
"document_tamper_review_outcome": "<string>",
"is_machine_readable_data_validation_performed": true,
"is_machine_readable_data_consistent_with_document_face": true
}
],
"identity_corroboration_events": [
{
"identity_corroboration_timestamp": "<string>",
"identity_corroboration_methods": [
"<string>"
],
"identity_corroboration_outcome": "<string>",
"total_identity_corroboration_sources_consulted": 123,
"is_kyc_cip": true,
"kyc_decision": "<string>",
"is_ssn_match": true,
"is_dob_match": true,
"is_name_match": true,
"ssn_verified": true,
"name_verified": true
}
],
"address_identities": [
{
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"type": "<string>",
"address_capture_events": [
{
"is_address_captured": true,
"address_capture_timestamp": "<string>",
"is_address_verified": true,
"address_verification_timestamp": "<string>",
"address_verification_outcome": "<string>",
"address_verification_method_type": "<string>",
"deliverable": true
}
]
}
]
}
]
}
'import requests
url = "https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish"
payload = {
"network_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_date": "<string>",
"records": [
{
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "<string>",
"social_security_number": "<string>",
"document_capture_events": [
{
"is_document_captured": True,
"document_capture_timestamp": "<string>",
"is_document_attribute_reviewed": True,
"document_attribute_review_timestamp": "<string>",
"document_type": "<string>",
"document_capture_method": "<string>",
"document_review_method": "<string>",
"document_review_evidence_source": "<string>"
}
],
"biometric_capture_events": [
{
"is_biometric_captured": True,
"biometric_capture_timestamp": "<string>",
"biometric_artifact_type": "<string>",
"biometric_artifact_upload": "<string>",
"biometric_capture_method": "<string>",
"is_biometric_attribute_reviewed": True,
"biometric_attribute_review_timestamp": "<string>",
"is_biometric_comparison_performed": True,
"biometric_comparison_reference": "<string>",
"biometric_comparison_outcome": "<string>"
}
],
"liveness_check_events": [
{
"is_liveness_captured": True,
"capture_timestamp": "<string>",
"capture_method_type": "<string>",
"liveness_capture_environment": "<string>",
"check_result": "<string>",
"is_liveness_evidence_reviewed": True,
"evidence_review_timestamp": "<string>"
}
],
"identity_document_identities": [
{
"type": "<string>",
"number": "<string>",
"issue_date": "<string>",
"expiration_date": "<string>",
"issuing_authority": "<string>",
"issuing_state": "<string>",
"issuing_country": "<string>",
"upload": "<string>",
"are_security_features_verified": True,
"is_document_tamper_review_performed": True,
"document_tamper_review_outcome": "<string>",
"is_machine_readable_data_validation_performed": True,
"is_machine_readable_data_consistent_with_document_face": True
}
],
"identity_corroboration_events": [
{
"identity_corroboration_timestamp": "<string>",
"identity_corroboration_methods": ["<string>"],
"identity_corroboration_outcome": "<string>",
"total_identity_corroboration_sources_consulted": 123,
"is_kyc_cip": True,
"kyc_decision": "<string>",
"is_ssn_match": True,
"is_dob_match": True,
"is_name_match": True,
"ssn_verified": True,
"name_verified": True
}
],
"address_identities": [
{
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"type": "<string>",
"address_capture_events": [
{
"is_address_captured": True,
"address_capture_timestamp": "<string>",
"is_address_verified": True,
"address_verification_timestamp": "<string>",
"address_verification_outcome": "<string>",
"address_verification_method_type": "<string>",
"deliverable": True
}
]
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
application_date: '<string>',
records: [
{
first_name: '<string>',
last_name: '<string>',
date_of_birth: '<string>',
social_security_number: '<string>',
document_capture_events: [
{
is_document_captured: true,
document_capture_timestamp: '<string>',
is_document_attribute_reviewed: true,
document_attribute_review_timestamp: '<string>',
document_type: '<string>',
document_capture_method: '<string>',
document_review_method: '<string>',
document_review_evidence_source: '<string>'
}
],
biometric_capture_events: [
{
is_biometric_captured: true,
biometric_capture_timestamp: '<string>',
biometric_artifact_type: '<string>',
biometric_artifact_upload: '<string>',
biometric_capture_method: '<string>',
is_biometric_attribute_reviewed: true,
biometric_attribute_review_timestamp: '<string>',
is_biometric_comparison_performed: true,
biometric_comparison_reference: '<string>',
biometric_comparison_outcome: '<string>'
}
],
liveness_check_events: [
{
is_liveness_captured: true,
capture_timestamp: '<string>',
capture_method_type: '<string>',
liveness_capture_environment: '<string>',
check_result: '<string>',
is_liveness_evidence_reviewed: true,
evidence_review_timestamp: '<string>'
}
],
identity_document_identities: [
{
type: '<string>',
number: '<string>',
issue_date: '<string>',
expiration_date: '<string>',
issuing_authority: '<string>',
issuing_state: '<string>',
issuing_country: '<string>',
upload: '<string>',
are_security_features_verified: true,
is_document_tamper_review_performed: true,
document_tamper_review_outcome: '<string>',
is_machine_readable_data_validation_performed: true,
is_machine_readable_data_consistent_with_document_face: true
}
],
identity_corroboration_events: [
{
identity_corroboration_timestamp: '<string>',
identity_corroboration_methods: ['<string>'],
identity_corroboration_outcome: '<string>',
total_identity_corroboration_sources_consulted: 123,
is_kyc_cip: true,
kyc_decision: '<string>',
is_ssn_match: true,
is_dob_match: true,
is_name_match: true,
ssn_verified: true,
name_verified: true
}
],
address_identities: [
{
line_1: '<string>',
line_2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>',
type: '<string>',
address_capture_events: [
{
is_address_captured: true,
address_capture_timestamp: '<string>',
is_address_verified: true,
address_verification_timestamp: '<string>',
address_verification_outcome: '<string>',
address_verification_method_type: '<string>',
deliverable: true
}
]
}
]
}
]
})
};
fetch('https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'network_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'application_date' => '<string>',
'records' => [
[
'first_name' => '<string>',
'last_name' => '<string>',
'date_of_birth' => '<string>',
'social_security_number' => '<string>',
'document_capture_events' => [
[
'is_document_captured' => true,
'document_capture_timestamp' => '<string>',
'is_document_attribute_reviewed' => true,
'document_attribute_review_timestamp' => '<string>',
'document_type' => '<string>',
'document_capture_method' => '<string>',
'document_review_method' => '<string>',
'document_review_evidence_source' => '<string>'
]
],
'biometric_capture_events' => [
[
'is_biometric_captured' => true,
'biometric_capture_timestamp' => '<string>',
'biometric_artifact_type' => '<string>',
'biometric_artifact_upload' => '<string>',
'biometric_capture_method' => '<string>',
'is_biometric_attribute_reviewed' => true,
'biometric_attribute_review_timestamp' => '<string>',
'is_biometric_comparison_performed' => true,
'biometric_comparison_reference' => '<string>',
'biometric_comparison_outcome' => '<string>'
]
],
'liveness_check_events' => [
[
'is_liveness_captured' => true,
'capture_timestamp' => '<string>',
'capture_method_type' => '<string>',
'liveness_capture_environment' => '<string>',
'check_result' => '<string>',
'is_liveness_evidence_reviewed' => true,
'evidence_review_timestamp' => '<string>'
]
],
'identity_document_identities' => [
[
'type' => '<string>',
'number' => '<string>',
'issue_date' => '<string>',
'expiration_date' => '<string>',
'issuing_authority' => '<string>',
'issuing_state' => '<string>',
'issuing_country' => '<string>',
'upload' => '<string>',
'are_security_features_verified' => true,
'is_document_tamper_review_performed' => true,
'document_tamper_review_outcome' => '<string>',
'is_machine_readable_data_validation_performed' => true,
'is_machine_readable_data_consistent_with_document_face' => true
]
],
'identity_corroboration_events' => [
[
'identity_corroboration_timestamp' => '<string>',
'identity_corroboration_methods' => [
'<string>'
],
'identity_corroboration_outcome' => '<string>',
'total_identity_corroboration_sources_consulted' => 123,
'is_kyc_cip' => true,
'kyc_decision' => '<string>',
'is_ssn_match' => true,
'is_dob_match' => true,
'is_name_match' => true,
'ssn_verified' => true,
'name_verified' => true
]
],
'address_identities' => [
[
'line_1' => '<string>',
'line_2' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zip' => '<string>',
'country' => '<string>',
'type' => '<string>',
'address_capture_events' => [
[
'is_address_captured' => true,
'address_capture_timestamp' => '<string>',
'is_address_verified' => true,
'address_verification_timestamp' => '<string>',
'address_verification_outcome' => '<string>',
'address_verification_method_type' => '<string>',
'deliverable' => true
]
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish"
payload := strings.NewReader("{\n \"network_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"application_date\": \"<string>\",\n \"records\": [\n {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"document_capture_events\": [\n {\n \"is_document_captured\": true,\n \"document_capture_timestamp\": \"<string>\",\n \"is_document_attribute_reviewed\": true,\n \"document_attribute_review_timestamp\": \"<string>\",\n \"document_type\": \"<string>\",\n \"document_capture_method\": \"<string>\",\n \"document_review_method\": \"<string>\",\n \"document_review_evidence_source\": \"<string>\"\n }\n ],\n \"biometric_capture_events\": [\n {\n \"is_biometric_captured\": true,\n \"biometric_capture_timestamp\": \"<string>\",\n \"biometric_artifact_type\": \"<string>\",\n \"biometric_artifact_upload\": \"<string>\",\n \"biometric_capture_method\": \"<string>\",\n \"is_biometric_attribute_reviewed\": true,\n \"biometric_attribute_review_timestamp\": \"<string>\",\n \"is_biometric_comparison_performed\": true,\n \"biometric_comparison_reference\": \"<string>\",\n \"biometric_comparison_outcome\": \"<string>\"\n }\n ],\n \"liveness_check_events\": [\n {\n \"is_liveness_captured\": true,\n \"capture_timestamp\": \"<string>\",\n \"capture_method_type\": \"<string>\",\n \"liveness_capture_environment\": \"<string>\",\n \"check_result\": \"<string>\",\n \"is_liveness_evidence_reviewed\": true,\n \"evidence_review_timestamp\": \"<string>\"\n }\n ],\n \"identity_document_identities\": [\n {\n \"type\": \"<string>\",\n \"number\": \"<string>\",\n \"issue_date\": \"<string>\",\n \"expiration_date\": \"<string>\",\n \"issuing_authority\": \"<string>\",\n \"issuing_state\": \"<string>\",\n \"issuing_country\": \"<string>\",\n \"upload\": \"<string>\",\n \"are_security_features_verified\": true,\n \"is_document_tamper_review_performed\": true,\n \"document_tamper_review_outcome\": \"<string>\",\n \"is_machine_readable_data_validation_performed\": true,\n \"is_machine_readable_data_consistent_with_document_face\": true\n }\n ],\n \"identity_corroboration_events\": [\n {\n \"identity_corroboration_timestamp\": \"<string>\",\n \"identity_corroboration_methods\": [\n \"<string>\"\n ],\n \"identity_corroboration_outcome\": \"<string>\",\n \"total_identity_corroboration_sources_consulted\": 123,\n \"is_kyc_cip\": true,\n \"kyc_decision\": \"<string>\",\n \"is_ssn_match\": true,\n \"is_dob_match\": true,\n \"is_name_match\": true,\n \"ssn_verified\": true,\n \"name_verified\": true\n }\n ],\n \"address_identities\": [\n {\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\",\n \"type\": \"<string>\",\n \"address_capture_events\": [\n {\n \"is_address_captured\": true,\n \"address_capture_timestamp\": \"<string>\",\n \"is_address_verified\": true,\n \"address_verification_timestamp\": \"<string>\",\n \"address_verification_outcome\": \"<string>\",\n \"address_verification_method_type\": \"<string>\",\n \"deliverable\": true\n }\n ]\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"network_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"application_date\": \"<string>\",\n \"records\": [\n {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"document_capture_events\": [\n {\n \"is_document_captured\": true,\n \"document_capture_timestamp\": \"<string>\",\n \"is_document_attribute_reviewed\": true,\n \"document_attribute_review_timestamp\": \"<string>\",\n \"document_type\": \"<string>\",\n \"document_capture_method\": \"<string>\",\n \"document_review_method\": \"<string>\",\n \"document_review_evidence_source\": \"<string>\"\n }\n ],\n \"biometric_capture_events\": [\n {\n \"is_biometric_captured\": true,\n \"biometric_capture_timestamp\": \"<string>\",\n \"biometric_artifact_type\": \"<string>\",\n \"biometric_artifact_upload\": \"<string>\",\n \"biometric_capture_method\": \"<string>\",\n \"is_biometric_attribute_reviewed\": true,\n \"biometric_attribute_review_timestamp\": \"<string>\",\n \"is_biometric_comparison_performed\": true,\n \"biometric_comparison_reference\": \"<string>\",\n \"biometric_comparison_outcome\": \"<string>\"\n }\n ],\n \"liveness_check_events\": [\n {\n \"is_liveness_captured\": true,\n \"capture_timestamp\": \"<string>\",\n \"capture_method_type\": \"<string>\",\n \"liveness_capture_environment\": \"<string>\",\n \"check_result\": \"<string>\",\n \"is_liveness_evidence_reviewed\": true,\n \"evidence_review_timestamp\": \"<string>\"\n }\n ],\n \"identity_document_identities\": [\n {\n \"type\": \"<string>\",\n \"number\": \"<string>\",\n \"issue_date\": \"<string>\",\n \"expiration_date\": \"<string>\",\n \"issuing_authority\": \"<string>\",\n \"issuing_state\": \"<string>\",\n \"issuing_country\": \"<string>\",\n \"upload\": \"<string>\",\n \"are_security_features_verified\": true,\n \"is_document_tamper_review_performed\": true,\n \"document_tamper_review_outcome\": \"<string>\",\n \"is_machine_readable_data_validation_performed\": true,\n \"is_machine_readable_data_consistent_with_document_face\": true\n }\n ],\n \"identity_corroboration_events\": [\n {\n \"identity_corroboration_timestamp\": \"<string>\",\n \"identity_corroboration_methods\": [\n \"<string>\"\n ],\n \"identity_corroboration_outcome\": \"<string>\",\n \"total_identity_corroboration_sources_consulted\": 123,\n \"is_kyc_cip\": true,\n \"kyc_decision\": \"<string>\",\n \"is_ssn_match\": true,\n \"is_dob_match\": true,\n \"is_name_match\": true,\n \"ssn_verified\": true,\n \"name_verified\": true\n }\n ],\n \"address_identities\": [\n {\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\",\n \"type\": \"<string>\",\n \"address_capture_events\": [\n {\n \"is_address_captured\": true,\n \"address_capture_timestamp\": \"<string>\",\n \"is_address_verified\": true,\n \"address_verification_timestamp\": \"<string>\",\n \"address_verification_outcome\": \"<string>\",\n \"address_verification_method_type\": \"<string>\",\n \"deliverable\": true\n }\n ]\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.solo.one/v1/products/kyc_certificate_snapshot/furnish")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"network_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"application_date\": \"<string>\",\n \"records\": [\n {\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"date_of_birth\": \"<string>\",\n \"social_security_number\": \"<string>\",\n \"document_capture_events\": [\n {\n \"is_document_captured\": true,\n \"document_capture_timestamp\": \"<string>\",\n \"is_document_attribute_reviewed\": true,\n \"document_attribute_review_timestamp\": \"<string>\",\n \"document_type\": \"<string>\",\n \"document_capture_method\": \"<string>\",\n \"document_review_method\": \"<string>\",\n \"document_review_evidence_source\": \"<string>\"\n }\n ],\n \"biometric_capture_events\": [\n {\n \"is_biometric_captured\": true,\n \"biometric_capture_timestamp\": \"<string>\",\n \"biometric_artifact_type\": \"<string>\",\n \"biometric_artifact_upload\": \"<string>\",\n \"biometric_capture_method\": \"<string>\",\n \"is_biometric_attribute_reviewed\": true,\n \"biometric_attribute_review_timestamp\": \"<string>\",\n \"is_biometric_comparison_performed\": true,\n \"biometric_comparison_reference\": \"<string>\",\n \"biometric_comparison_outcome\": \"<string>\"\n }\n ],\n \"liveness_check_events\": [\n {\n \"is_liveness_captured\": true,\n \"capture_timestamp\": \"<string>\",\n \"capture_method_type\": \"<string>\",\n \"liveness_capture_environment\": \"<string>\",\n \"check_result\": \"<string>\",\n \"is_liveness_evidence_reviewed\": true,\n \"evidence_review_timestamp\": \"<string>\"\n }\n ],\n \"identity_document_identities\": [\n {\n \"type\": \"<string>\",\n \"number\": \"<string>\",\n \"issue_date\": \"<string>\",\n \"expiration_date\": \"<string>\",\n \"issuing_authority\": \"<string>\",\n \"issuing_state\": \"<string>\",\n \"issuing_country\": \"<string>\",\n \"upload\": \"<string>\",\n \"are_security_features_verified\": true,\n \"is_document_tamper_review_performed\": true,\n \"document_tamper_review_outcome\": \"<string>\",\n \"is_machine_readable_data_validation_performed\": true,\n \"is_machine_readable_data_consistent_with_document_face\": true\n }\n ],\n \"identity_corroboration_events\": [\n {\n \"identity_corroboration_timestamp\": \"<string>\",\n \"identity_corroboration_methods\": [\n \"<string>\"\n ],\n \"identity_corroboration_outcome\": \"<string>\",\n \"total_identity_corroboration_sources_consulted\": 123,\n \"is_kyc_cip\": true,\n \"kyc_decision\": \"<string>\",\n \"is_ssn_match\": true,\n \"is_dob_match\": true,\n \"is_name_match\": true,\n \"ssn_verified\": true,\n \"name_verified\": true\n }\n ],\n \"address_identities\": [\n {\n \"line_1\": \"<string>\",\n \"line_2\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zip\": \"<string>\",\n \"country\": \"<string>\",\n \"type\": \"<string>\",\n \"address_capture_events\": [\n {\n \"is_address_captured\": true,\n \"address_capture_timestamp\": \"<string>\",\n \"is_address_verified\": true,\n \"address_verification_timestamp\": \"<string>\",\n \"address_verification_outcome\": \"<string>\",\n \"address_verification_method_type\": \"<string>\",\n \"deliverable\": true\n }\n ]\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"counts": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}